﻿@{
    Layout = null;
}
<ul ng-if="MC.stateParams.programType != 'BeforeAfterCare'">
    <li ui-sref-active="active" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 0}">
        <a ui-sref='ProgramAddEditStep1({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Basic Information
        </a>
    </li>

    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'Class'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 1}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep2({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Schedules & Fees
        </a>
    </li>

    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'ChessTournament' || MC.stateParams.programType == 'Subscription'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 1}">
        <a style="padding:0.3em 3.01em!important" prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep2({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Schedules & Fees
        </a>
    </li>

    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'SeminarTour'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 1}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep2({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Schedules & Fees
        </a>
    </li>
    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'Calendar'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 1}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep2({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Calendar
        </a>
    </li>
    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'Camp'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 1}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep2({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Schedules
        </a>
    </li>
    <li ui-sref-active="active" ng-if="MC.stateParams.programType != 'Calendar' && MC.stateParams.programType != 'Subscription'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 2}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep3({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Forms
        </a>
    </li>

    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'Calendar'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 2.5}">
        <a prevent-default="Model.FromTemplate" href="#" ui-sref='CalendarAddEditStep2Point5({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Preview Calendar
        </a>
    </li>

    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'Subscription'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 2.5}">
        <a prevent-default="Model.FromTemplate" href="#" ui-sref='SubscriptionAddEditStep2Point5({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Schedule list
        </a>
    </li>

    <li ui-sref-active="active" ng-if="MC.stateParams.programType != 'Calendar' && MC.stateParams.programType != 'Subscription'" class="last" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 3}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep4({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            <i class="icon-checkmark"></i>
        </a>
    </li>

    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'Calendar' || MC.stateParams.programType == 'Subscription'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 2}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep3({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Forms
        </a>
    </li>

    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'Calendar' || MC.stateParams.programType == 'Subscrition'" class="last" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 3}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep4({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            <i class="icon-checkmark"></i>
        </a>
    </li>

    <!-- DO NOT DELETE THIS -->
    <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
    <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
    <!-- / DO NOT DELETE THIS -->
</ul>
<ul ng-if="MC.stateParams.programType == 'BeforeAfterCare'" class="breadcrumbs-6-level">
    <li ui-sref-active="active" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 0}">
        <a ui-sref='ProgramAddEditStep1({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Basic Information
        </a>
    </li>
    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'BeforeAfterCare'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 1}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep2({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Schedules
        </a>
    </li>
    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'BeforeAfterCare'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 2.5}">
        <a prevent-default="Model.FromTemplate" ui-sref='BeforeAfterCareAddEditStep2Fees({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Fees
        </a>
    </li>
    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'BeforeAfterCare'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 2.75}">
        <a prevent-default="Model.FromTemplate" ui-sref='BeforeAfterCareAddEditStep2ScheduleList({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Schedule list
        </a>
    </li>
    <li ui-sref-active="active" ng-if="MC.stateParams.programType == 'BeforeAfterCare'" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 2}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep3({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            Forms
        </a>
    </li>

    <li ui-sref-active="active" ng-if= "MC.stateParams.programType == 'BeforeAfterCare'" class="last" ng-class="{'done' : Model.LastCreatedPage.split('Step')[1] > 3}">
        <a prevent-default="Model.FromTemplate" ui-sref='ProgramAddEditStep4({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
            <i class="icon-checkmark"></i>
        </a>
    </li>

    <!-- DO NOT DELETE THIS -->
    <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
    <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
    <!-- / DO NOT DELETE THIS -->
</ul>